I want to play through Final Fantasy IV. What firmware?

Discussion in 'PSP - Hacking & Homebrew' started by mrdrew_champloo, Jun 29, 2011.

  1. mrdrew_champloo
    OP

    Newcomer mrdrew_champloo Member

    Joined:
    Nov 4, 2009
    Messages:
    35
    Country:
    United States
    Last time I tried playing through it, I was running 5.50 Prome-4. It froze up on me about 6 hours into the game, so I just said **** it. Well I'm ready to try again but this time I clearly need to update my firmware to avoid the same problem. What firmware will garuntee me a playthrough?
     
  2. Paarish

    Member Paarish Connor's Nublet

    Joined:
    Aug 26, 2009
    Messages:
    1,719
    Location:
    Married to DinohScene
    Country:
    United Kingdom
    FF4 Advance+GBA Emulator.
     
  3. mrdrew_champloo
    OP

    Newcomer mrdrew_champloo Member

    Joined:
    Nov 4, 2009
    Messages:
    35
    Country:
    United States
    Ah, sorry. I should clarify. I meant the Complete Collection version that came out recently.
     
  4. Paarish

    Member Paarish Connor's Nublet

    Joined:
    Aug 26, 2009
    Messages:
    1,719
    Location:
    Married to DinohScene
    Country:
    United Kingdom
    oh sorry

    probabaly 6.20 PRO
     
  5. emigre

    Member emigre Has complex motives

    Joined:
    Jan 28, 2009
    Messages:
    7,918
    Location:
    London
    Country:
    United Kingdom
    Try using the latest Pro firmware. Compatibility is shit hot.
     
  6. Schlupi

    Member Schlupi Gbatemp's Official Earthbound Maniacâ„¢

    Joined:
    Aug 31, 2007
    Messages:
    3,985
    Location:
    Rozen Queen Co, Chicago Branch
    Country:
    United States
    you can patch it to work on 5.XX (HAD to include this, I know some people here would be an ass**** if I didn't) if that is your preferred firmware.


    If you don't mind updating, you can play it on 6.20 PRO-B7 without any patches or issues. Read the sticky on how to update.

    (By the way, it's SUPER EASY)
     

Share This Page